## NAME

r.quantile - Compute quantiles using two passes.

## KEYWORDS

raster, statistics

## SYNOPSIS

r.quantile
r.quantile help
r.quantile [-r] input=name [quantiles=integer] [percentiles=float[,float,...]] [bins=integer] [--verbose] [--quiet]

### Flags:

-r
  Generate recode rules based on quantile-defined intervals.
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

input=name
  Name of input raster map
quantiles=integer
  Number of quantiles
  Default: 4
percentiles=float[,float,...]
  List of percentiles
bins=integer
  Number of bins to use
  Default: 1000000

## DESCRIPTION

r.quantile computes quantiles in a manner suitable for use with large amounts of data. It is using two passes.

## EXAMPLE

Calculation of elevation quantiles (printed to standard-out):

    g.region rast=elevation -p
    r.quantile input=elevation percentiles=0.1,1,10,25,50,75,90,99,99.9

The output of r.quantile can be used for quantile classification:

    g.region rast=elevation -p
    r.quantile elevation quantiles=5 -r --quiet | r.recode elevation \
               out=elev_quant5 rules=-

## SEE ALSO

r.quant

## AUTHOR

Glynn Clements

Last changed: $Date: 2013-04-10 17:52:37 +0200 (st, 10 IV 2013) $

Main index - raster index - Full index

© 2003-2014 GRASS Development Team